<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>

<body>
    <script>
    //    const dias = ["lunes", "martes", "miercoles", "jueves", "viernes", "sabado", "domingo"]
    //     function tu() {

    //         let day = []
    //         for (var i = 0; i < dias.length; i++) {
    //             if (dias[i].startsWith("m")) {
    //                 day.push(dias[i])
    //             }
    //         }
    //         return day;
    //     }
    //     alert(tu())

    //     function flecha() {
    //         let m = dias.filter(day => day.startsWith("m"))
    //         return m;
    //     }
    //     alert(flecha())

    //     const meses = ["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio","agosto","septiembre","octubre","noviembre","diciembre"]
    //     const vocales=["a","e","i","o","u"]
    //     function mes (){
    //         let mess=[]
    //         for(let i =0; i<meses.length; i++){
    //             if(vocales.includes(meses[i][0]))
    //             {
    //                 mess.push(meses[i])
    //             }
    //         }
    //         return mess;
    //     }
    //     alert(mes())

    //     function flecha2() {
    //         let m = meses.filter(mes => vocales.includes(mes[0]))
    //         return m;
    //     }
    //     alert(flecha2())

    //     const medi= [3.4, 7.9, 8.0, 2.5, 5.6, 5.4, 9.0]
    //     function media(){
    //         let sumaNotas = medi.reduce((total,nota)  => total+nota / medi.length)
    //         return sumaNotas;
    //     }
    //     alert(media())

    // //Ejercicios de MAP
    //     const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
    //     const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]]
    //     let map = new Map();
    //     function Mapeado1(){
    //         for(let i=0; i< modulos.length; i++){
    //             map.set(modulos[i], alumnoNotas[i]);
                     
    //         }
    //         return map;
    //     }
    //     console.log(Mapeado1())
    //     function Mapeado2(){
    //         map.set("m07", [7.5, 6]);
    //         return map;
    //     }
    //     console.log(Mapeado2())
    //     function Mapeado3(){
    //         let modulosMatricula = Array.from(new Set(modulos))
    //         return modulosMatricula;
        
    //     }
    //     console.log(Mapeado3())

    </script>
</body>

</html>